# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..4\n"; }
END {print "not ok 1\n" unless $loaded;}
use Hash::Check;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

my $h = new Hash::Check;
$h->to("Poldi");
$h->comment("test");
$h->bits(7);
$h->date ( scalar time);
$h->write;
if ($h->check) {	
	print "ok 2\n";
} else {
	print "not ok 2\n";
}
my $c = $h->print;
$h->rand("aaaa");
if ($h->check) {	
	print "not ok 3\n";
} else {
	print "ok 3\n";
}

my $j = $h->parse($c);

my $k = new Hash::Check;
if ($k->check($j)) {
	print "ok 4\n" ;
} else {
	print "not ok 4\n";
}

